package com.hotent.assembly.mockmvc;

import org.springframework.context.ApplicationContext;

import feign.Feign;

/**
 * 用于构建FeignClient
 * 
 * @author jason
 * @date 2022-04-29
 */
public class MockMvcFeignBuilder {
	private MockMvcFeignBuilder() {
	}

	public static Feign.Builder builder(ApplicationContext applicationContext) {
		return Feign.builder().client(MockMvcFeignObjectWrapper.getMockMvcClient(applicationContext));
	}
}
